
//
// Przykładowy kod z rozdziału 4.6.2 "Przykład wczytywania liczb do programu" książki
// "Programowanie. Teoria i praktyka z wykorzystaniem C++" Bjarne'a Stroustrupa.
//

#include "std_lib_facilities.h"

//------------------------------------------------------------------------------

// Oblicza średnią i medianę temperatur.
int main()
{
    vector<double> temps;        // temperatury
    double temp;
    while (cin>>temp)            // wczytywanie 
        temps.push_back(temp);   // wstawianie do wektora

    // Obliczanie średniej temperatury:
    double sum = 0;
    for (int i = 0; i< temps.size(); ++i) sum += temps[i];
    cout << "Średnia temperatura: " << sum/temps.size() << endl;

    // Obliczanie mediany temperatury:
    sort(temps.begin(),temps.end()); // Sortowanie wektora temps "od początku do końca".
    cout << "Mediana: " << temps[temps.size()/2] << endl;
}

//------------------------------------------------------------------------------
